{ pkgs, inputs, ... }:

{
  systemd.services.website-deploy = {
    serviceConfig.Type = "oneshot";
    path = [
      pkgs.git
      pkgs.coreutils
      pkgs.nixUnstable
      pkgs.openssh
      inputs.deploy.packages.${pkgs.system}.deploy-rs
    ];
    script = ''
      cd /etc/nixos/ # TODO make variable
      nix flake lock --update-input poonam
      nix flake lock --update-input basant
      # TODO 
      # git add flake.lock
      # git commit -m "update website"
      # git push
      deploy .#cube --hostname lakhwara.com
      exit 0
    '';
    serviceConfig = {
      User = "anish";
    };
  };
  systemd.timers.website-deploy = {
    after = [ "kitaab-sync.timer" ];
    wantedBy = [ "timers.target" ];
    partOf = [ "website-deploy.service" ];
    timerConfig.OnCalendar = [ "daily" ];
    timerConfig.persistent = "true";
  };
}
